Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
angelofmine

Hỏi về Block thuộc tính

Các bài được khuyến nghị

Các bác cho em hỏi chút về block ATT

Trong bản vẽ em đã chèn rất nhiều block thuộc tính, bây giờ em muốn thay đổi vị trí hiển thị text thuộc tính. Nhưng các block đã chèn nó không thay đổi theo.

Em muốn hỏi làm cách nào để khi dùng lệnh Bedit chỉnh sửa block thì vị trí ghi thuộc tính của block cũng được cập nhật theo.

Cảm ơn các bác.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác cho em hỏi chút về block ATT

Trong bản vẽ em đã chèn rất nhiều block thuộc tính, bây giờ em muốn thay đổi vị trí hiển thị text thuộc tính. Nhưng các block đã chèn nó không thay đổi theo.

Em muốn hỏi làm cách nào để khi dùng lệnh Bedit chỉnh sửa block thì vị trí ghi thuộc tính của block cũng được cập nhật theo.

Cảm ơn các bác.

Bạn cứ vào Bedit rồi move đi theo ý bạn, r lưu lại, rồi ra ngoài dùng lệnh ATTSYNC ^^

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác cho em hỏi chút về block ATT

Trong bản vẽ em đã chèn rất nhiều block thuộc tính, bây giờ em muốn thay đổi vị trí hiển thị text thuộc tính. Nhưng các block đã chèn nó không thay đổi theo.

Em muốn hỏi làm cách nào để khi dùng lệnh Bedit chỉnh sửa block thì vị trí ghi thuộc tính của block cũng được cập nhật theo.

Cảm ơn các bác.

Bạn chọn tất cả các BLock theo phương pháp lọc đối tượng sau đó vào Proties > attributes thay đổi các thông số bạn à. Mình đã làm rồi rất nhanh thay đổi toàn bộ bản vẽ

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác cho em hỏi về cái lệnh ATTOUT và ATTIN luôn.

Khi em dùng lệnh ATTOUT xuất text từ block thuộc tính và chỉnh sửa. Sau đó dùng lệnh ATTIN, nhưng nó chỉ Update được 1 giá trị đầu tiên?

Mong các bác giúp đỡ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác cho em hỏi về cái lệnh ATTOUT và ATTIN luôn.

Khi em dùng lệnh ATTOUT xuất text từ block thuộc tính và chỉnh sửa. Sau đó dùng lệnh ATTIN, nhưng nó chỉ Update được 1 giá trị đầu tiên?

Mong các bác giúp đỡ.

hề hề hề,

cái lệnh attout và attin này sao trong CAD2004 không thấy có hè????

bác dùng cad đời nào vậy????

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các bác cho em hỏi về cái lệnh ATTOUT và ATTIN luôn.

Khi em dùng lệnh ATTOUT xuất text từ block thuộc tính và chỉnh sửa. Sau đó dùng lệnh ATTIN, nhưng nó chỉ Update được 1 giá trị đầu tiên?

Mong các bác giúp đỡ.

Anh hãy chia sẻ về lệnh ATTOUTxem sao??? Em đang vướng mắc bản vẽ của em viết bằng font chữ Arial theo Unicode dựng sẵn>>> Giờ em muốn chuyển sang font VnAristote TCVN3 (ABC) thì làm như thế nào???

Chỉnh sửa kiểu thủ công hơi bị lâu. Rất mong được sự trợ giúp của các bác, em xin trân trọng cảm ơn trước!

 

Tóm lại là em muốn chuyển chữ từ kiểu viết TCVN3 (ABC) về kiểu Unicode dựng sẵn và ngược lại, em đang rất cần!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

hề hề hề,

cái lệnh attout và attin này sao trong CAD2004 không thấy có hè????

bác dùng cad đời nào vậy????

 

Em dùng cad 2008 bác ạ. Em cũng không nhớ trong cad2004 có không.

Bác nào biết, chỉ giáo giúp em ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Anh hãy chia sẻ về lệnh ATTOUTxem sao??? Em đang vướng mắc bản vẽ của em viết bằng font chữ Arial theo Unicode dựng sẵn>>> Giờ em muốn chuyển sang font VnAristote TCVN3 (ABC) thì làm như thế nào???

Chỉnh sửa kiểu thủ công hơi bị lâu. Rất mong được sự trợ giúp của các bác, em xin trân trọng cảm ơn trước!

 

Tóm lại là em muốn chuyển chữ từ kiểu viết TCVN3 (ABC) về kiểu Unicode dựng sẵn và ngược lại, em đang rất cần!

 

Em google thấy topic này: http://www.cadviet.com/forum/index.php?showtopic=22767&st=0

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn cứ vào Bedit rồi move đi theo ý bạn, r lưu lại, rồi ra ngoài dùng lệnh ATTSYNC ^^

 

Bác cho hỏi thêm chút.

Sau khi ATTSYNC thì một số block text ATT vẫn được giữ nguyên giá trị TAG. Còn lại bị trả về giá trị DEFAUT vậy?

Làm sao để nó vẫn giữ nguyên giá trị TAG?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cái này chắc chắn là block của bạn đã bị lỗi, bạn nhấp vào nó có phải thấy các dòng này màu đó ko?? bình thường thì nó vẫn là màu đen. Bạn thử up cái file có block bị lỗi này lên cho các pác ấy phán!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cái này chắc chắn là block của bạn đã bị lỗi, bạn nhấp vào nó có phải thấy các dòng này màu đó ko?? bình thường thì nó vẫn là màu đen. Bạn thử up cái file có block bị lỗi này lên cho các pác ấy phán!

 

Đúng bệnh rồi bác ạ. Có một số dòng thuộc tính có màu đỏ

Nhưng em không biết tại sao lại thế?

Chỉ sau khi gán 1 số tính năng động cho nó như: Visibility. thì mới bị vậy?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Đúng bệnh rồi bác ạ. Có một số dòng thuộc tính có màu đỏ

Nhưng em không biết tại sao lại thế?

Chỉ sau khi gán 1 số tính năng động cho nó như: Visibility. thì mới bị vậy?

 

up

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có thể khắc phục bằng cách:

1)trước khi bạn dùng lệnh attsync thì bạn gõ lệnh attout rồi lưu nội dung các block trong một file .txt

2)sau đó bạn attsync cho cac text về đúng vị trí, style.... khi này các att của bạ bị lỗi sẽ trở về giá tri default :wacko:

3)cuối cùng bạn gõ lệnh attin rồi chọn file txt khi nãy để lấy lại nội dung att trước đó!

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có thể khắc phục bằng cách:

1)trước khi bạn dùng lệnh attsync thì bạn gõ lệnh attout rồi lưu nội dung các block trong một file .txt

2)sau đó bạn attsync cho cac text về đúng vị trí, style.... khi này các att của bạ bị lỗi sẽ trở về giá tri default :wacko:

3)cuối cùng bạn gõ lệnh attin rồi chọn file txt khi nãy để lấy lại nội dung att trước đó!

 

Có thể khắc phục bằng cách:

1)trước khi bạn dùng lệnh attsync thì bạn gõ lệnh attout rồi lưu nội dung các block trong một file .txt

2)sau đó bạn attsync cho cac text về đúng vị trí, style.... khi này các att của bạ bị lỗi sẽ trở về giá tri default :wacko:

3)cuối cùng bạn gõ lệnh attin rồi chọn file txt khi nãy để lấy lại nội dung att trước đó!

 

Em cũng đang thắc mắc chỗ này @@

Lệnh ATTIN không quét 1 lúc nhiều đối tượng để có thể gán lại giá trị TAG như ATTOUT xuất ra à bác?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ko phải là quét nhiều dt, bạn chỉ cần nhấp đúp chọn cái file text đó là nó tự nhảy thôi chứ, vì khi bạn xuất ra file text thì nó liệt kê theo Handle của đối tượng. do đó khi bạn attin thì nó tự tìm đến những đối tượng có handle tương ứng để thay thế.

Nếu bạn làm ko dc thì có thể up cái file lên cho mọi người xem thử thế nào?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ko phải là quét nhiều dt, bạn chỉ cần nhấp đúp chọn cái file text đó là nó tự nhảy thôi chứ, vì khi bạn xuất ra file text thì nó liệt kê theo Handle của đối tượng. do đó khi bạn attin thì nó tự tìm đến những đối tượng có handle tương ứng để thay thế.

Nếu bạn làm ko dc thì có thể up cái file lên cho mọi người xem thử thế nào?

Em ATTIN thì nó hỏi bắt chọn các Block cần thay đổi với file này:

http://www.cadviet.com/upfiles/3/58995_td_06.dwg

Bác xem giúp em.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em ATTIN thì nó hỏi bắt chọn các Block cần thay đổi với file này:

http://www.cadviet.c...58995_td_06.dwg

Bác xem giúp em.

Mình cũng ko chắc nhưng có lẽ là do dynamic block nen nó ko làm việc dc???

bạn có thể xài cái lisp mình viết, lisp này chỉ yêu cầu bạn chọn block mẫu, sau đó tự nó làm việc. Xong rồi bạn có thể test lại bằng lệnh attsync xem nó có bị nữa ko nhá!

(defun c:lo(/ ent dtc dt1 sdt id sl nd1 lst1 lt)
 (setq dtc(car (entsel "\nchon block:")))
 (get-block dtc)
 (setq
sdt (sslength dt1)
id 0
lt (list))
 (repeat sdt
(setq ent (ssname dt1 id)
  id (1+ id)
  nd1 (assoc 1 (entget (entnext ent)))
  lt (cons nd1 lt)
  )
)
 (command "attsync" "s" dtc "y")
 (setq sl -1
id (- id 1)
)
 (repeat sdt
(setq ent (ssname dt1 id)
  id (1- id)
  lst1 (entget (entnext ent))
  lst1 (subst (nth (+ sl 1) lt) (assoc 1 lst1) lst1)  
  )
(setq sl (+ sl 1))
(entmod lst1)

)
 )

;;;;;;;;;;;;;;;;;;;;;;;
(defun get-block(entm / sdtb idb ent2 entb dtm namem name BBB entb)
 (setq dtm (vlax-ename->vla-object entm))
 (setq namem (if(vlax-property-available-p dtm 'effectivename)
  (vla-get-effectivename dtm)
  (vla-get-name dtm)
  ));;;
 (setq BBB(SSGET "all" (list(cons 0 "INSERT") (assoc 8 (entget entm))))
sdtb (sslength BBB)
idb 0
dt1 (ssadd)
)
 (repeat sdtb;;repeat
(setq entb (ssname BBB idb)
idb (1+ idb)
)
(setq ent2(vlax-ename->vla-object entb))
(setq name (if(vlax-property-available-p ent2 'effectivename)
  (vla-get-effectivename ent2)
  (vla-get-name ent2)
  ))
(if (= name namem)
 	(setq dt1 (ssadd entb dt1))
 	)
);;repeat
 )

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình cũng ko chắc nhưng có lẽ là do dynamic block nen nó ko làm việc dc???

bạn có thể xài cái lisp mình viết, lisp này chỉ yêu cầu bạn chọn block mẫu, sau đó tự nó làm việc. Xong rồi bạn có thể test lại bằng lệnh attsync xem nó có bị nữa ko nhá!

(defun c:lo(/ ent dtc dt1 sdt id sl nd1 lst1 lt)
 (setq dtc(car (entsel "\nchon block:")))
 (get-block dtc)
 (setq
sdt (sslength dt1)
id 0
lt (list))
 (repeat sdt
(setq ent (ssname dt1 id)
  id (1+ id)
  nd1 (assoc 1 (entget (entnext ent)))
  lt (cons nd1 lt)
  )
)
 (command "attsync" "s" dtc "y")
 (setq sl -1
id (- id 1)
)
 (repeat sdt
(setq ent (ssname dt1 id)
  id (1- id)
  lst1 (entget (entnext ent))
  lst1 (subst (nth (+ sl 1) lt) (assoc 1 lst1) lst1)  
  )
(setq sl (+ sl 1))
(entmod lst1)

)
 )

;;;;;;;;;;;;;;;;;;;;;;;
(defun get-block(entm / sdtb idb ent2 entb dtm namem name BBB entb)
 (setq dtm (vlax-ename->vla-object entm))
 (setq namem (if(vlax-property-available-p dtm 'effectivename)
  (vla-get-effectivename dtm)
  (vla-get-name dtm)
  ));;;
 (setq BBB(SSGET "all" (list(cons 0 "INSERT") (assoc 8 (entget entm))))
sdtb (sslength BBB)
idb 0
dt1 (ssadd)
)
 (repeat sdtb;;repeat
(setq entb (ssname BBB idb)
idb (1+ idb)
)
(setq ent2(vlax-ename->vla-object entb))
(setq name (if(vlax-property-available-p ent2 'effectivename)
  (vla-get-effectivename ent2)
  (vla-get-name ent2)
  ))
(if (= name namem)
 	(setq dt1 (ssadd entb dt1))
 	)
);;repeat
 )

 

sadiwediwỉiewr

Các bác cho em hỏi chút về block ATT

Trong bản vẽ em đã chèn rất nhiều block thuộc tính, bây giờ em muốn thay đổi vị trí hiển thị text thuộc tính. Nhưng các block đã chèn nó không thay đổi theo.

Em muốn hỏi làm cách nào để khi dùng lệnh Bedit chỉnh sửa block thì vị trí ghi thuộc tính của block cũng được cập nhật theo.

Cảm ơn các bác.

 

m hỏi chút về block ATT

Trong bản vẽ em đã chèn rất nhiều block thuộc tính, bây giờ em muốn thay đổi vị trí hiển thị text thuộc tính. Nhưng các block đã chèn nó không thay đổi theo.

Em muốn hỏi làm cách nào để khi dùng lệnh Bedit chỉnh sửa block thì vị trí ghi thuộc tính của block cũng được cập nhật theo.

Cảm ơn các bác.

cai này hay nha. chắc chắn mình sẽ làm thử rồi.!!!!!!!!!!!!!!! thanks các pác nha

re

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình cũng ko chắc nhưng có lẽ là do dynamic block nen nó ko làm việc dc???

bạn có thể xài cái lisp mình viết, lisp này chỉ yêu cầu bạn chọn block mẫu, sau đó tự nó làm việc. Xong rồi bạn có thể test lại bằng lệnh attsync xem nó có bị nữa ko nhá!

(defun c:lo(/ ent dtc dt1 sdt id sl nd1 lst1 lt)
 (setq dtc(car (entsel "\nchon block:")))
 (get-block dtc)
 (setq
sdt (sslength dt1)
id 0
lt (list))
 (repeat sdt
(setq ent (ssname dt1 id)
  id (1+ id)
  nd1 (assoc 1 (entget (entnext ent)))
  lt (cons nd1 lt)
  )
)
 (command "attsync" "s" dtc "y")
 (setq sl -1
id (- id 1)
)
 (repeat sdt
(setq ent (ssname dt1 id)
  id (1- id)
  lst1 (entget (entnext ent))
  lst1 (subst (nth (+ sl 1) lt) (assoc 1 lst1) lst1)  
  )
(setq sl (+ sl 1))
(entmod lst1)

)
 )

;;;;;;;;;;;;;;;;;;;;;;;
(defun get-block(entm / sdtb idb ent2 entb dtm namem name BBB entb)
 (setq dtm (vlax-ename->vla-object entm))
 (setq namem (if(vlax-property-available-p dtm 'effectivename)
  (vla-get-effectivename dtm)
  (vla-get-name dtm)
  ));;;
 (setq BBB(SSGET "all" (list(cons 0 "INSERT") (assoc 8 (entget entm))))
sdtb (sslength BBB)
idb 0
dt1 (ssadd)
)
 (repeat sdtb;;repeat
(setq entb (ssname BBB idb)
idb (1+ idb)
)
(setq ent2(vlax-ename->vla-object entb))
(setq name (if(vlax-property-available-p ent2 'effectivename)
  (vla-get-effectivename ent2)
  (vla-get-name ent2)
  ))
(if (= name namem)
 	(setq dt1 (ssadd entb dt1))
 	)
);;repeat
 )

 

Cảm ơn bác nhiều.

Cái Lisp của bác quá tuyệt. Sau khi dùng nó thì đã có thể thay ATTSYNC và không lỗi nữa.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào các Bạn

Các bạn vui lòng cho mình hỏi 1 vấn đề liên quan đến thuộc tính của Block như sau:

- Mình muốn thêm thuộc tính mới  hoặc xóa thuộc tính cho 1 block đã có sẵn thuộc tính thì phải làm sau ?, mong Anh em hướng dẫn (vui lòng xem file đính kèm)

cảm ơn http://www.cadviet.com/upfiles/5/64990_1.dwg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×